Use absolute path fpr ldmod; thanks to S. Blanchet. stable-1.5
authorFlorian Pose <fp@igh-essen.com>
Tue, 08 Jul 2014 11:18:02 +0200
branchstable-1.5
changeset 2543 0d978e56a635
parent 2542 8dd49f6f6d32
child 2544 50bc6389f2f5
Use absolute path fpr ldmod; thanks to S. Blanchet.
script/ethercatctl.in
script/init.d/ethercat.in
--- a/script/ethercatctl.in	Mon May 05 13:55:00 2014 +0200
+++ b/script/ethercatctl.in	Tue Jul 08 11:18:02 2014 +0200
@@ -33,6 +33,7 @@
 #
 #------------------------------------------------------------------------------
 
+LSMOD=/sbin/lsmod
 MODPROBE=/sbin/modprobe
 RMMOD=/sbin/rmmod
 MODINFO=/sbin/modinfo
@@ -109,7 +110,7 @@
 
         if [ ${MODULE} != "generic" ]; then
             # try to unload standard module
-            if lsmod | grep "^${MODULE} " > /dev/null; then
+            if ${LSMOD} | grep "^${MODULE} " > /dev/null; then
                 if ! ${RMMOD} ${MODULE}; then
                     ${RMMOD} ${LOADED_MODULES}
                     exit 1
@@ -137,7 +138,7 @@
     # unload EtherCAT device modules
     for MODULE in ${DEVICE_MODULES} master; do
         ECMODULE=ec_${MODULE}
-        if ! lsmod | grep -q "^${ECMODULE} "; then
+        if ! ${LSMOD} | grep -q "^${ECMODULE} "; then
             continue # ec_* module not loaded
         fi
         if ! ${RMMOD} ${ECMODULE}; then
--- a/script/init.d/ethercat.in	Mon May 05 13:55:00 2014 +0200
+++ b/script/init.d/ethercat.in	Tue Jul 08 11:18:02 2014 +0200
@@ -47,6 +47,7 @@
 
 #------------------------------------------------------------------------------
 
+LSMOD=/sbin/lsmod
 MODPROBE=/sbin/modprobe
 RMMOD=/sbin/rmmod
 MODINFO=/sbin/modinfo
@@ -177,7 +178,7 @@
             continue # ec_* module not found
         fi
         if [ ${MODULE} != "generic" ]; then
-            if lsmod | grep "^${MODULE} " > /dev/null; then
+            if ${LSMOD} | grep "^${MODULE} " > /dev/null; then
                 if ! ${RMMOD} ${MODULE}; then
                     exit_fail
                 fi
@@ -200,7 +201,7 @@
     # unload EtherCAT device modules
     for MODULE in ${DEVICE_MODULES} master; do
         ECMODULE=ec_${MODULE}
-        if ! lsmod | grep -q "^${ECMODULE} "; then
+        if ! ${LSMOD} | grep -q "^${ECMODULE} "; then
             continue # ec_* module not loaded
         fi
         if ! ${RMMOD} ${ECMODULE}; then